FlxpointAPI Help CenterBeta

[Deprecated] Get Product Variant Inventory Links

gethttps://api.flxpoint.com/product/variant/inventorylinksDeprecated

Use this when you want to pull product data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint is deprecated, either use the `GET /inventory/variant/{variantId}` endpoint or `GET /product/variant/{variantId}`

Request

Query parameters
  • filterProductVariantIdqueryinteger

    ID of product variant

  • filterInventoryVariantIdqueryinteger (int64)

    ID of inventory variant

Example request

get/product/variant/inventorylinks
curl -X GET "https://api.flxpoint.com/product/variant/inventorylinks" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ProductVariantInventoryLink]
idinteger
productVariantIdinteger
inventoryVariantIdinteger (int64)required
Example response
[
  {
    "id": 0,
    "productVariantId": 0,
    "inventoryVariantId": 0
  }
]
OpenAPI fragment
{
  "get": {
    "summary": "[Deprecated] Get Product Variant Inventory Links",
    "description": "This endpoint is deprecated, either use the `GET /inventory/variant/{variantId}` endpoint or `GET /product/variant/{variantId}`",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterProductVariantId",
        "description": "ID of product variant "
      },
      {
        "schema": {
          "type": "integer",
          "format": "int64"
        },
        "in": "query",
        "name": "filterInventoryVariantId",
        "description": "ID of inventory variant"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ProductVariantInventoryLink"
              }
            }
          }
        }
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight